package com.hongyegroup.cpt_ewallet.ui

import android.os.Bundle
import com.guadou.cs_cptservices.base.activity.YYBaseVDBActivity
import com.guadou.lib_baselib.bean.DataBindingConfig
import com.guadou.lib_baselib.ext.commContext
import com.guadou.lib_baselib.ext.gotoActivity
import com.hongyegroup.cpt_ewallet.BR
import com.hongyegroup.cpt_ewallet.R
import com.hongyegroup.cpt_ewallet.databinding.ActivityHistoryDetailJobBinding
import com.hongyegroup.cpt_ewallet.mvvm.HistortyDetailJobViewModel
import dagger.hilt.android.AndroidEntryPoint

/**
 * 历史记录详情-兼职工作的发票详情
 */
@AndroidEntryPoint
class EWalletHistoryDetailJobActivity : YYBaseVDBActivity<HistortyDetailJobViewModel, ActivityHistoryDetailJobBinding>() {

    companion object {
        fun startInstance() {
            commContext().gotoActivity<EWalletHistoryDetailJobActivity>()
        }
    }

    override fun getDataBindingConfig(): DataBindingConfig {
        return DataBindingConfig(R.layout.activity_history_detail_job, BR.viewModel, mViewModel)
            .addBindingParams(BR.click, ClickProxy())
    }

    override fun init(savedInstanceState: Bundle?) {
        setStatusBarBlackText()


    }

    override fun startObserve() {

    }

    /**
     * DataBinding事件处理
     */
    inner class ClickProxy {

        fun gotoIssueSubmitPage() {
            HistoryJobIssueActivity.startInstance()
        }

    }
}